#ifndef COMMON_H_
#define COMMON_H_

#define VERBOSITY_QUIET   -1
#define VERBOSITY_NORMAL  0
#define VERBOSITY_VERBOSE 1
#define VERBOSITY_DEBUG   2

#include <stdio.h>
#include "optparse.h"

typedef int verbosity_t;
typedef struct optparse optparse_t;

extern verbosity_t verbosity;

void printfv(verbosity_t verbosity, const char* format, ...);
void hexdump(const void* data, size_t length);

#endif
